2009-09-02  Werner Koch  <wk@g10code.com>

	* gpgv.texi, gpg.texi: Update from GnuPG-2.

2009-08-18  Werner Koch  <wk@g10code.com>

	* Makefile.am (sources_from_trunk): New.
	(update-source-from-gnupg-2): New.  Run it.  Fixes bug#917

2009-08-13  Werner Koch  <wk@g10code.com>

	* gpgv.texi, gpg.texi: Update from GnuPG-2.

2008-04-30  David Shaw  <dshaw@jabberwocky.com>

	* gpg-zip.1: Add man page thanks to Colin Tuckley and Daniel
	Leidert.

2008-04-02  Werner Koch  <wk@g10code.com>

	* opt-homedir.texi: Remove special case for Registry key.

	* yat2m.c (proc_texi_cmd): Use the \(aq glyph for @samp.  This is
	bug#898.
	(proc_texi_buffer): Handle backslashs correctly.

2007-12-21  Werner Koch  <wk@g10code.com>

	* README.W32: Tell that Vista is supported and that at least NT-4
	is required.  It might still work on older systems, but I don't
	know for sure.

2007-12-12  Werner Koch  <wk@g10code.com>

	* gpg.texi, specify-user-id.texi: Update from gnupg-2.
	* yat2m.c: Update from gnupg-2.

2007-10-27  David Shaw  <dshaw@jabberwocky.com>

	* gpg.texi: Update from gnupg-2.

2007-10-23  Werner Koch  <wk@g10code.com>

	* gpg.texi: Updated from gnupg-2.

	* gpl.texi: Replace by GPLv3 version.

	* Makefile.am: Use standard suffix rules.

2006-12-04  Werner Koch  <wk@g10code.com>

	* yat2m.c: New.
	* Makefile.am: New rules to build yatm and the man pages.

2006-06-22  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --enable-dsa2, --disable-dsa2, and
	--default-keyserver-url.

	* DETAILS: Note "Keyserver:"

	* gpg.sgml: Note that --pgp8 does not include SHA224.  Clarify
	that clearsigned messages are not reversible.

2006-05-23  David Shaw  <dshaw@jabberwocky.com>

	* mksamplekeys: Incorporate new package signature key and minimize
	keys when generating samplekeys.asc.

2006-05-17  Werner Koch  <wk@g10code.com>

	* samplekeys.asc: Added new package signature key and cleaned all
	keys to save space.

2006-04-18  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Reminders that --cipher-algo, --digest-algo, and
	--compress-algo should be avoided.

2006-04-11  Michael Roth <mroth@nessie.de>  (wk)

	* gpg.sgml (passphrase-fd): Explain that only the first line is used.

2006-04-09  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Some typo fixes.  This is Debian 361324.

2006-03-11  David Shaw  <dshaw@jabberwocky.com>

	* samplekeys.asc: Update 99242560 to have a signing subkey
	backsig.

2006-03-09  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify new notation delete feature.

2006-03-08  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document "notation".

2006-03-07  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Rename backsigs to cross-certification (backsigs is
	just shorthand).  Document max-cert-size.

	* gpg.sgml: Document new way of enabling the PKA functions.  Some
	minor other cleanups.

2006-03-06  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --auto-key-locate.

2006-02-24  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document new --keyserver syntax.

2005-12-20  Werner Koch  <wk@g10code.com>

	* gpg.sgml (trust-model): Document "auto" and the "pka" variants.
	(keyserver-options): Document "auto-pka-retrieve".
	(allow-pka-lookup): Document.

2005-12-08  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --fetch-keys.

2005-12-07  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document -d.  Add [file] to a few options.

2005-11-17  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify "xxxxx-clean" and "clean".  Document
	"xxxxx-minimal", and "minimize".

2005-11-02  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify what is and isn't included in a "clean sigs".

2005-10-27  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document backsign, --require-backsigs, and
	--no-require-backsigs.

	* DETAILS: Clarify Key-Usage.

2005-10-07  Werner Koch  <wk@g10code.com>

	* gpgv.sgml: Small spelling corrections by Mike Dowling.

2005-09-21  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Note that --display-charset is just for display and
	doesn't recode data.  Note that --search-keys can use the standard
	search syntax now (<, =, *, @).  Document the @-address mode.

2005-08-23  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Fix documentation for setpref/updpref, document
	import-clean, --status-file, --logger-file, --attribute-file,
	--passphrase-file, --passphrase, and --command-file.  Comment out
	the "+word match" selection syntax since it isn't supported.

2005-07-22  Werner Koch  <wk@g10code.com>

	* gpg.sgml: Removed entry for --no-interactive-selection.

2005-07-19  Werner Koch  <wk@g10code.com>

	* gpg.sgml: Document --limit-card-insert-tries.

2005-07-18  David Shaw  <dshaw@jabberwocky.com>

	* samplekeys.asc: Update 99242560.

	* gpg.sgml: Clarify --throw-keyid and --hidden-recipient a bit.

2005-06-20  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --edit-key/clean, import-clean, and
	export-clean.

2005-06-20  Werner Koch  <wk@g10code.com>

	* gpg.sgml: Document smartcard related options.

2005-06-06  Werner Koch  <wk@g10code.com>

	* DETAILS: New subcode 5 for CARDCTRL.

2005-05-13  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --default-sig-expire and
	--default-cert-expire, remove --sk-comments and --no-sk-comments,
	and clarify the form of a non-IETF notation for --sig-notation and
	--cert-notation.

2005-05-05  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify --min-cert-level a bit.

2005-03-14  Werner Koch  <wk@g10code.com>

	* gnupg-w32.reg: Removed.

2005-03-07  Werner Koch  <wk@g10code.com>

	* gpg.sgml (comment): Add note to keep the comment short.

	* DETAILS: Document new status codes.

2005-02-15  Werner Koch  <wk@g10code.com>

	* faq.raw: Add htmlcharset header line as suggested by Maxim
	Britov. s/ElGamal/Elgamal/.  Replaced reference to NAI by PGP
	Corp.

	* gpg.ru.sgml: Updated from upstream.  Added a closing PARA.

	* gpg.sgml: Add bkuptocard command for --edit-key.

2005-02-05  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Note that level 0 signatures are always accepted
	regardless of --min-cert-level.

2005-02-03  Werner Koch  <wk@g10code.com>

	* README.W32: Updated to match the switch to the NSIS installer.

2005-01-27  Werner Koch  <wk@g10code.com>

	* faq.raw: Updated to the version from 1.2.7.

2005-01-18  Werner Koch  <wk@g10code.com>

	* gnupg-w32.reg: Remove the entry for the home directory.

2004-12-16  Werner Koch  <wk@g10code.com>

	* TRANSLATE: Add a note on how to send translations.

2004-12-16  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --require-secmem/--no-require-secmem.  Note
	that the sign flags (l, t, nr) can be mixed.  Remove --nrsign-key.

2004-12-12  Werner Koch  <wk@g10code.com>

	* samplekeys.asc, mksamplekeys (keys): Removed my old 621CC013 key
	which expires at the end of this year.  Add g10 Code's source code
	signing key 37D92FFB.

2004-12-09  David Shaw  <dshaw@jabberwocky.com>

	* highlights-1.4.txt: New.

	* mksamplekeys, samplekeys.asc: Add the PGP global directory key.

2004-11-26  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document export-minimal.

2004-10-28  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Document SIG_SUBPACKET status tag.

2004-10-28  Werner Koch  <wk@g10code.com>

	* Makefile.am (EXTRA_DIST): Add gpg.ru.1.

2004-10-18  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Minor language tweaks.

	* samplekeys.asc: Updated 99242560.

	* DETAILS: spk flags are hex.

2004-10-15  Werner Koch  <wk@g10code.com>

	* DETAILS: Document IMPORT_CHECK.

2004-10-14  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document using "none" to remove preferred keyservers,
	the keyserver timeout parameter, and the direct trust model.

2004-09-23  Werner Koch  <wk@g10code.com>

	* gpg.sgml: Document "addcardkey" and "keytocard".

2004-09-20  Werner Koch  <wk@g10code.com>

	* gpg.sgml: Document -K.

2004-09-16  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Document the 'spk' signature subpacket record.  Add
	more detail on "tru" records.

	* gpg.sgml: Note that PGP scales photo IDs to fit in the dialog
	box.  Document show-sig-subpackets.  Document the '%c' signature
	counter expando.

2004-09-15  Werner Koch  <wk@g10code.com>

	* gpg.sgml: Document "--debug-ccid-driver".

2004-09-14  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Note that --throw-keyid is --throw-keyids.  Note
	changes in --pgp8.  Rephrase the "don't play algorithm games"
	warning now that PGP has blowfish, zlib, and bzip2.

2004-08-07  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Remove show-long-keyids since it is replaced by
	--keyid-format.  Rename show-validity as
	show-uid-validity. --ask-cert-level defaults to no.

2004-06-28  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Document PLAINTEXT and PLAINTEXT_LENGTH.

	* gpg.sgml: Clarify that --min-cert-level disregards level 1 certs
	by default.  Clarify include-revoked a bit to note that keyservers
	might not be accurate.  Note that --charset is --display-charset.
	Some language tweaks for --simple-sk-checksum (Debian 251795).
	Note the PGP silliness with preferred keyserver subpackets causing
	PGP/MIME.

2004-05-21  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --edit-key "keyserver" command,
	--keyid-format, --keyserver-option honor-keyserver-url, and --list
	and --verify option show-std/user-notations.

2004-05-19  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify that --charset applies to informational
	strings and does not recode messages themselves.  Remove
	include-non-rfc export-option.

2004-05-08  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS, credits-1.0, credits-1.2: ElGamal -> Elgamal.

	* gpg.sgml: Document --no-use-embedded-filename and
	--min-cert-level.

	* gpgv.sgml: Removed leftover </para>.

2004-05-03  Werner Koch  <wk@gnupg.org>

	* gpgv.sgml: Removed reference to non-available option
	--no-default-keyring.

2004-04-09  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document delsig.  Clarify that --refresh-keys
	arguments are optional.  Document --bzip2-decompress-lowmem.

2004-04-05  Werner Koch  <wk@gnupg.org>

	* DETAILS (NEWSIG): Documented.

2004-02-25  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --ask-cert-level, --max-output, and
	--default-cert-level.

	* gpg.sgml: Document keyserver-option http-proxy, import-option
	merge-only, remove old honor-http-proxy, --merge-only, and
	--emulate-md-encode-bug.  Document COLUMNS and LINES.

2004-02-12  David Shaw  <dshaw@jabberwocky.com>

	* gnupg.7: Clarify that 'gpgv' doesn't encrypt, and that's not a
	bug.

	* samplekeys.asc: Update 99242560.

	* gpg.sgml: Clarify -u/--local-user and --default-key.  Note what
	happens if you run 'gpg' without any commands.  Document
	--multifile.  Document list-option show-unusable-subkeys.

2004-01-30  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Details for --list-config.

	* gpg.sgml: Document --ungroup and --list-config.

2004-01-07  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Fix a few minor typos.  Clarify what --textmode is
	useful for.

	* gpg.sgml: List proper documentation URL.  Note that addrevoker
	takes an optional "sensitive" argument.  Remind that $GNUPGHOME
	can be used instead of --homedir.  Clarify --no-default-keyring,
	and note why it may not take effect if there are no other keyrings
	present.  Remove --pgp2 from the list of --pgpXes that are just
	for bad preference lists.  Explain more why locking memory pages
	is good.

	* gpg.sgml: Add an example of what an exclamation mark is, as
	people seem to miss it often.

2003-12-08  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Fix a few missing semicolons in & entities.  Noted by
	Christian Biere.  Some minor grammar fixes.  Remove the "host -l
	pgp.net | grep wwwkeys" advice since the nameserver no longer all
	allow zone transfers.  Replace it with a mention of
	hkp://subkeys.pgp.net.  Note that BZIP2 defaults to compression
	level 6.

2003-10-31  Werner Koch  <wk@gnupg.org>

	* DETAILS: Add a note about the date format for X.509.

2003-11-21  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Note the new combinations with --symmetric and
	--encrypt.  Document --bzip2-compress-level, and
	--bzip2-compress-lowmem.  Clarify the plurarility (or not) of
	various list and verify options.  Document BZIP2 in the
	--compress-algo section.  Warn about compatibility issues with
	ZLIB and BZIP2.

2003-11-20  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --compress-level.  Some minor tweaks to other
	entries.

	* TRANSLATE: New, note to translators about the yes|yes multiple
	match syntax.

	* Makefile.am: Include TRANSLATE in distributed files.

2003-10-28  Werner Koch  <wk@gnupg.org>

	* DETAILS: Add the 'a' value for field 12 and the new field 15.

2003-10-01  David Shaw  <dshaw@jabberwocky.com>

	* samplekeys.asc: Update 99242560.

	* gpg.sgml: Document --no-groups.

2003-09-30  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Note web bug like behavior of auto-key-retrieve.  Note
	that big photos mean big keys.  Document --rfc2440.  Document
	verify-option show-unusable-uids.

	* gpg.sgml: Clarify --mangle-dos-filenames, document list-option
	show-unusable-uids, remove --no-comment (which is now
	--no-sk-comments), add --no-comments (to remove --comment), remove
	--default-comment, and document --sig-keyserver-url.

2003-09-01  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Note fingerprint of signing key in sig records.

2003-08-31  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Use "keyserver-url" instead of "preferred-keyserver"
	for the sake of short and simple commands.

2003-08-29  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document list-options (show-preferred-keyserver,
	show-validity, show-long-keyid, and show-sig-expire), and
	verify-options (show-preferred-keyserver, show-validity,
	show-long-keyid).

2003-08-28  David Shaw  <dshaw@jabberwocky.com>

	* samplekeys.asc: Updated.

	* DETAILS: Document "tru" trust record.  Document REVKEYSIG status
	tag.  Removed paragraph on gdbm usage.  Note that pipemode is
	deprecated.

2003-08-25  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --list-options (show-photos, show-policy-url,
	show-notation, show-keyring) and --verify-options (show-photos,
	show-policy-url, show-notation).  Deprecate --show-photos,
	--show-policy-url, --show-notation, and --show-keyring.

2003-07-10  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Document the --attribute-fd data.

	* gpg.sgml: Document --set-notation.  Explain why it is not
	possible to disable permission warnings in the gpg.conf file about
	the homedir.  Add pointer in --ignore-time-conflict to see
	--ignore-valid from, and vice versa.  Warning not to try and parse
	--list-keys in scripts. Document the signature flags
	(1-3/L/R/P/N/X/T), Document expandos %g and %p.  Note the default
	--personal-digest-preferences are SHA-1.

2003-05-26  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml, gpgv.sgml: Small SGML fixes. (From wk on stable
	branch)

	* gnupg-w32.reg: Use HLM for the program and make sure the entries
	are created.  Suggested by danielc@analysisandsolutions.com. (From
	wk on stable branch)

2003-05-24  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --trustdb-name.  Document --gnupg in a new
	compliance section, and remove the various --no-PGPX
	options. Deprecate --no-comment in favor of --no-sk-comments.

2003-05-04  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Some general language tweaks.  Note default algo for
	--symmetric.  --export-ownertrust takes no args.  Document
	--no-escape-from-lines.  Fix escaped "<From" to be ">From".  Make
	"openpgp" trust model into "pgp".

2003-04-27  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS (VALIDSIG): Add version, pk algo, digest algo, sig
	class, and a reserved field for flags in a future version.

	* gpg.sgml: Document --no-textmode and --no-use-agent.  Clarify
	the interoperability section.  Clarify that "hkp corruption"
	(repair-hkp-subkey-bug) is really "pks corruption"
	(repair-pks-subkey-bug).

2003-04-15  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Document --enable-progress-filter.

2003-04-07  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Don't specify which hash is used to make up the
	namehash since it may change in the future.

	* samplekeys.asc: Updated.

	* gpg.sgml: Document "revuid".  Clarify that --openpgp resets
	--pgpX.  Some cleanup of --no-xxx options, make sure that all SGML
	tags are closed, clarify --pgp8 allows SHA-256, and document
	--no-emit-version.

	* Makefile.am: Allow CVS version to build without faqprog.pl.

2003-04-01  Werner Koch  <wk@gnupg.org>

	* DETAILS (VALIDSIG): Add primary keys fingerprint. 

2003-01-27  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Document trust depth, value, and regexp.

2003-01-14  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Minor language tweaks, spell check, copyright date,
	etc.

	* DETAILS: Note that user IDs/UATs fill in creation and expiration
	date.  Document namehash.

2003-01-06  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Document disabled flag in capabilities field.

2002-12-27  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify --no-permission-warning to note that the
	permission warnings are not intended to be the be-all and end-all
	in security checks.  Add note to --group that when used on the
	command line, it may be necessary to quote the argument so it is
	not treated as multiple arguments.  Noted by Stefan Bellon.

2002-12-23  Werner Koch  <wk@gnupg.org>

	* samplekeys.asc: Updated.

2002-12-10  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify include-revoked and include-disabled so they
	match what the program actually does.  Noted by Dick Gevers.

	* gpg.sgml: Document %-expandos for policy URLs and notations.

	* gpg.sgml: Document --pgp8.  Clarify that --pgp6 and --pgp7
	disable --throw-keyid.

2002-12-05  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Document --no-mangle-dos-filenames.

2002-12-01  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Point out that if the user absolutely must, it's
	better to use --pgpX than forcing an algorithm manually.  Better
	still not to use anything, of course.

2002-11-25  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --primary-keyring.  Clarify
	--s2k-cipher-algo, --s2k-digest-algo,
	--personal-cipher-preferences, --personal-digest-preferences, and
	--personal-compress-preferences.

	* gpg.sgml: Document --sig-policy-url, --cert-policy-url,
	--sig-notation, --cert-notation.  Clarify --show-notation and
	--show-policy-url that policy URLs and notations can be used in
	data signatures as well.  Add note about '@' being a required
	character in notation names.

2002-11-21  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Add an interoperability section.

2002-11-17  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Correct defaults for --s2k-mode and --s2k-digest-mode.
	Noted by Haakon Riiser.

2002-11-14  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: --compress-algo now allows algorithm names.

2002-11-13  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --trust-model.

2002-11-04  David Shaw  <dshaw@jabberwocky.com>

	* KEYSERVER: New.  Documents the --with-colons format for
	keyserver listings.

	* DETAILS: Clarify meaning of 'u'.  Noted by Timo.

2002-11-03  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document "tsign", clarify "setpref", clarify
	--recipient, document --hidden-recipient, document
	--hidden-encrypt-to, clarify --no-encrypt-to, clarify
	--throw-keyid, document --no-throw-keyid.

2002-10-25  Werner Koch  <wk@gnupg.org>

        * README.W32: Add blurb on how to create a ZIP file, changed
        requirement for mingw32 to 0.3.2.

2002-10-24  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document --refresh-keys.

2002-10-19  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify --force-mdc, and document --disable-mdc.

2002-10-12  Werner Koch  <wk@gnupg.org>

	* DETAILS (KEY_CREATED): Enhanced by fingerprint.

2002-10-03  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Note that '#' means secret-key-unavailable, and that
	keyserver schemes are case-insensitive.

2002-09-30  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Note that --pgp2 disables --textmode when encrypting.

2002-09-20  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Some minor language cleanup.

2002-09-20  Werner Koch  <wk@gnupg.org>

	* DETAILS: s/XORed/ORed/.

2002-09-15  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Add rebuild-keydb-caches.

2002-09-12  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Fix batch key generation example.

2002-09-11  Werner Koch  <wk@gnupg.org>

	* Makefile.am (EXTRA_DIST): Include gnupg-32.reg

2002-09-02  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Updated the charset option.

	* DETAILS: Added status IMPORT_OK.

	* gnupg.7: New mini man page.

2002-08-30  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Document keyserver-option include-subkeys.  Note that
	honor-http-proxy is a keyserver-option now.

	* DETAILS: Add "Key not trusted" to INV_RECP status code.

2002-08-23  Werner Koch  <wk@gnupg.org>

	* faq.raw: Updated.  New Maintainer is David D. Scribner.

2002-08-22  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify meaning of keyserver option include-revoked.

2002-08-21  Werner Koch  <wk@gnupg.org>

	* DETAILS: Added IMPORT_PROBLEM.

2002-08-20  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Clarify that trust letters 'q' and '-' can be treated
	identically.

	* gpg.sgml: Document --ignore-mdc-error.

2002-08-06  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify that only long-form options can go in the
	config file.

2002-08-06  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Fixed doc regarding the name change of the option
	file.

2002-07-30  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify --edit/addrevoker (sensitive), and
	--keyserver-options (--import/export-options may be used as well).
	Document --import-options and --export-options with their various
	options.  --show-photos now works during signature verification as
	well.  Document --exec-path.  Note in --simple-sk-checksum that
	the passphrase must be changed for this to take effect.  Note that
	--pgp7 does not disable MDC.  Document --no-mdc-warning.

2002-07-25  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Document new --delete behaviour.

2002-07-25  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify the differences between "pref" and "showpref".
	Note in "setpref" that a list of available algorithms can be
	printed with "gpg -v --version".  Note in "updpref" that we don't
	select keys via attribute uids, so preferences there will be
	ignored.

2002-07-01  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Clarify "group".

2002-07-01  Werner Koch  <wk@gnupg.org>

	* Makefile.am: Due to problems with VPATH builds we don't try to
	build the texi vesions of the manual pages anymore automatically.

2002-06-30  Werner Koch  <wk@gnupg.org>

	* README.W32: Adjusted some descriptions.  Fixed the regsitry
	entry descriptions.

2002-06-21  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Document "uat".

	* gpg.sgml: Document
	--personal-{compress|digest|compress}-preferences, --group, and
	add comments to --expert.

2002-06-17  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Grammar fix.

2002-06-03  David Shaw  <dshaw@jabberwocky.com>

	* DETAILS: Details of ATTRIBUTE.

	* gpg.sgml: Document --attribute-fd

2002-06-03  Timo Schulz  <ts@winpt.org>

	* DETAILS: Add ATTRIBUTE.

2002-05-31  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Add "edit/addrevoker".  Document --desig-revoke.  Note
	that -z and --compress are the same option.  Note that
	--digest-algo can no longer violate OpenPGP with a non-160 bit
	hash with DSA.  Document --cert-digest-algo with suitable warnings
	not to use it.  Note the default s2k-cipher-algo is now CAST5.
	Note that --force-v3-sigs overrides --ask-sig-expire.  Revise
	--expert documentation, as it is now definitely legal to have more
	than one photo ID on a key.  --preference-list is now
	--default-preference-list with the new meaning.  Document
	--personal-preference-list.

	* DETAILS: Document "Revoker" for batch key generation.

2002-05-22  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: sgml syntax fix.

2002-05-12  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Fixed URL in the description section.

	* faq.raw: Minor typo fixes noted by kromJx@myrealbox.com.

2002-05-11  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Typo fix.

2002-05-07  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Add entries for --sk-comments, --no-sk-comments,
	--pgp7, and --no-pgp7.  Fix --pgp2 and --pgp6: the proper name is
	--escape-from-lines and not --escape-from.

2002-04-30  Timo Schulz  <ts@winpt.org>

	* gpg.sgml: Add an entry for --encrypt-files and --decrypt-files.

2002-04-29  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Fix minor error in --pgp6 documentation: it does not
	imply --digest-algo MD5

2002-04-29  Werner Koch  <wk@gnupg.org>

	* samplekeys.asc: Added gnupg distribution key 57548DCD.

	* faq.raw: Inserted Douglas Calvert as new maintainer. Acknowledge
	Nils.  Add entry about trust packet parsing problems.

2002-04-24  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Add some documentation for
	--edit/{addphoto|showphoto|nrsign|nrlsign}, and the difference
	between %t and %T in photo viewer command lines.

2002-04-23  Stefan Bellon  <sbellon@sbellon.de>

	* gpg.sgml: Moved options from section "COMMANDS" to
	section "OPTIONS".

2002-04-20  David Shaw  <dshaw@jabberwocky.com>

	* samplekeys.asc: Added 0x5B0358A2

2002-04-19  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Add "%t" flag for photo IDs, a note about primary
	having different meanings for photo and regular IDs, rename
	--default-check-level to --default-cert-check-level, add
	--auto-check-trustdb, and --pgp6.

	* DETAILS: Add EXPSIG, EXPKEYSIG, and KEYEXPIRED.  Add notes to
	SIGEXPIRED (deprecated), and VALIDSIG (added expiration date).
	Add "Preferences" command to unattended key generation
	instructions.  Also fixed a few typos.

	* samplekeys.asc: new (added to EXTRA_DIST in Makefile.am as well)

2002-01-31  Marcus Brinkmann  <marcus@g10code.de>

	* DETAILS: Fix a spelling error, correct IMPORTED_RES to IMPORT_RES,
	correct INV_RECP (the second occurence) to NO_RECP.

2002-04-03  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: auto-key-retrieve is a keyserver-option (noted by
	Roger Sondermann).

2002-03-27  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: --pgp2 also means --disable-mdc, --no-ask-sig-expire,
	and --no-ask-cert-expire.  It does not mean --no-force-v3-sigs
	(noted by Timo).

2002-03-27  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Add a few notes about --pgp2 meaning MIT PGP 2.6.2,
	and keyserver details about HKP and NAI HKP.

2002-03-18  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Change meaning of --allow-non-selfsigned-uid to match
	change in code, and add --no-allow-non-selfsigned-uid.

2002-03-13  Werner Koch  <wk@gnupg.org>

	* faq.raw: Due to a lack of time Nils can't serve anymore as a
	maintainer.  Removed his address and setup a generic address.

2002-03-06  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Add an entry for --export-ownertrust.  Suggested by
	Bernhard Reiter.

2002-01-26  Timo Schulz  <ts@winpt.org>

	* gnupg-w32.reg: New. Registry file for W32 in registry format.

2002-01-26  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: A few words about --gpg-agent-info and GPG_AGENT_INFO.

2002-01-25  Timo Schulz  <ts@winpt.org>

	* README.W32: Modify the filename because now the .exe extension
 	is automatically added to the binary.

2002-01-14  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Talk about PGP 5 and higher.

2002-01-11  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Added documentation for --{no-}ask-cert-expire,
	--{no-}ask-sig-expire, and revise --expert (it doesn't switch on
	the expiration prompt anymore) and --default-check-level (to be
	clearer as to what makes a good key check before signing).

2002-01-07  Werner Koch  <wk@gnupg.org>

	* DETAILS: Removed the comment that unattended key generation is
	experimental.  It is now a standard feature.

2001-12-22  David Shaw  <dshaw@jabberwocky.com>

	* gpg.sgml: Fixed a few typos.

	* gpg.sgml: Added documentation for --show-photos,
	--no-show-photos, --photo-viewer, --nrsign-key,
	--default-check-level, --search-keys, --keyserver-options,
	--show-notation, --no-show-notation, --show-policy-url,
	--no-show-policy-url, --for-your-eyes-only,
	--no-for-your-eyes-only, --pgp2, --no-pgp2,
	--no-permission-warning, --expert, --no-expert.

2001-10-31  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Add a remark on how to get the long key ID.  Suggested
	by Sebastian Klemke.

2001-10-23  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Add missing tag.

2001-09-28  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Add a note on option parsing.

2001-09-24  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Described --{update,check}-trustdb.

2001-09-03  Werner Koch  <wk@gnupg.org>

	* gpg.sgml, gpgv.sgml: Removed GDBM stuff.

2001-08-29  Werner Koch  <wk@gnupg.org>

	* faq.raw: Described how to delete a secret key w/o a public key
	and changed the entry on updating the preferences.

2001-08-08  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Documented --print-mds and marked the --print-md * as
	deprecated because it does not work in the W32 version.  Suggested
	by John Kane.
	(WARNINGS): Typo fix.
	(--with-colons): Clarified that the output is in UTF-8.

2001-08-01  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Added --ignore-valid-from

2001-04-20  Werner Koch  <wk@gnupg.org>

	* faq.raw (Maintained-by): Removed note that load-extension is not
	available under Windoze.

	* gpg.sgml: Add new --charset UTF-8.

2001-04-19  Werner Koch  <wk@gnupg.org>

	* faq.raw: Add a note about dates displayed as ????-??-??.

2001-04-17  Werner Koch  <wk@gnupg.org>

	* Makefile.am (%.texi): Add rules to create .texi from .sgml.
	However we can't automate this because automake does not like
	.texi files as BUILT_SOURCES.
	(%.dvi,%.ps): Removed these rules, because they are not needed
	and get in the way of automake's dvi target

	* HACKING: Changed CVS description.

2001-04-06  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Small typo fixes by Florian Weimer.

2001-03-27  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Add --no-sig-cache and --no-sig-create-check.

2001-03-23  Werner Koch  <wk@gnupg.org>

	* DETAILS: New status UNEXPECTED.

2001-03-13  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Described --fixed-list-mode.

2001-03-06  Werner Koch  <wk@gnupg.org>

	* gpgv.sgml: Changed some gpg to gpgv. Thanks to John A. Murdie.

2001-03-03  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Tell something about the 0x12345678! key ID syntax.

2001-01-18  Werner Koch  <wk@gnupg.org>

	* README.W32: Changed building instructions for MinGW32/CPD 0.3 

2001-01-09  Werner Koch  <wk@gnupg.org>

	* DETAILS: Fixed docs for NEED_PASSPHRASE and added USERID_HINT.

2000-11-30  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Fixed the description of --verify.  Add a short note
	the warnings sections.

2000-10-19  Werner Koch  <wk@gnupg.org>

	* gpg.sgml: Fixed doc for --allow-non-selfsigned-uid.
	Add entry for --ignore-crc-error.

2000-10-18  Werner Koch  <wk@gnupg.org>

	* OpenPGP: Dropped the paragraph that RSA is not implemented.

2000-10-14  Werner Koch  <wk@gnupg.org>

	* faq.raw: Add an answer to the problem of multiple signatures.

Wed Oct  4 15:50:18 CEST 2000  Werner Koch  <wk@openit.de>

        * gpgv.sgml: New.
        * Makefile.am: build it.

Thu Sep 14 14:20:38 CEST 2000  Werner Koch  <wk@openit.de>

        * faq.raw: New.
        * Makefile.am: Support to build FAQs

Wed Jul 12 13:32:06 CEST 2000  Werner Koch  <wk@>

        * gpg.sgml: Add a note about the availability of the GPH.

2000-07-03 13:59:24  Werner Koch  (wk@habibti.openit.de)

        * DETAILS, FAQ: Typo fixes by Yosiaki IIDA.

2000-05-12 10:57:21  Werner Koch  (wk@habibti.openit.de)

	* gpg.sgml: Documented --no-tty.

2000-03-09 15:01:51  Werner Koch  (wk@habibti.openit.de)

	* DETAILS: Ad a short blurb about unattended key generation.

Wed Feb  9 15:33:44 CET 2000  Werner Koch  <wk@gnupg.de>

	* gpg.sgml: Describe --ignore-time-conflict.

	* gpg.sgml: Fixed a few typos.	Thanks to Holger Trapp.

Wed Jan  5 11:51:17 CET 2000  Werner Koch  <wk@gnupg.de>

	* FAQ: Enhanced answer for the 3des-s2k bug.

Sat Dec  4 12:30:28 CET 1999  Werner Koch  <wk@gnupg.de>

	* gpg.sgml: Add section about the user ID

Mon Nov 22 11:14:53 CET 1999  Werner Koch  <wk@gnupg.de>

	* gph: Removed the directory from the dist becuase it will
	go into it's own package.

Thu Sep 23 09:52:58 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* README.W32: New.

Mon Sep  6 19:59:08 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* Makefile.am (SUBDIRS): New subdir gph for the manual.

Thu Jul 22 20:03:03 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* gpg.sgml (--always-trust): Added.

Wed Jul 14 19:42:08 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* Makefile.am: Create a dummy man page if docbook-to-man is missing.

Wed Jun 16 20:16:21 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* gpg1.pod: Removed.
	* gpg.sgml: New. Replaces the pod file
	* Makefile.am: Add rule to make a man file from sgml

Tue Jun 15 12:21:08 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* Makefile.in.in: Use DESTDIR.

Mon May 31 19:41:10 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* gpg.1pod: Enhanced the Bugs section (Michael).

Wed Feb 10 17:15:39 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* gpg.1pod: Spelling and grammar corrections (John A. Martin)
	* FAQ: Ditto.
	* DETAILS: Ditto.


 Copyright 1998, 1999, 2000, 2001, 2009 Free Software Foundation, Inc.

 This file is free software; as a special exception the author gives
 unlimited permission to copy and/or distribute it, with or without
 modifications, as long as this notice is preserved.

 This file is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


